package com.platform.modules.live.aspect;

import com.baomidou.mybatisplus.service.IService;
import com.platform.modules.live.service.LiveCasterService;

import java.lang.annotation.*;

/**
 * @author TONG
 * 2019/11/15 11:19
 **/
@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface CasterTenant {
    String value() default "casterId";
    Class<? extends IService> tenantTableClazz() default LiveCasterService.class;
    String method() default "selectByCasterId";
}
